using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IPubMessageInfoRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_Message_Info>
    {
        int InsertPubMessageInfo(Pub_Message_Info info);
        int SelectUserUnRead(int userId);
        int SelectDoctorUnRead(int doctorId);
        List<AdvisoryMessage> SelecrMessageInfo(int userId, string doctorId);
        int UpdateRead(int userId, string doctorId);

        List<Pub_Message_Info> GetPatUnReadMsg(int userId,int docId = 0);

        int UpdateMsgRead(int patId, int docId);
        
    }
}
